"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTemplateFile = createTemplateFile;
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const helpers_1 = require("../common/helpers");
const consts_1 = require("../common/consts");
const promises_1 = require("fs/promises");
const logger_1 = require("../common/logger");
async function createTemplateFile(fileNameToCreate, config) {
    (0, helpers_1.ensureFastServeFolder)();
    const filePath = path.join(process.cwd(), consts_1.fastFolderName, fileNameToCreate);
    const fileContent = (await (0, promises_1.readFile)((0, helpers_1.getTemplatesPath)(fileNameToCreate))).toString();
    if (!fs.existsSync(filePath) || config.force) {
        await (0, promises_1.writeFile)(filePath, fileContent);
        logger_1.Logger.log(`Created ${fileNameToCreate} file.`);
        logger_1.Logger.log(`Path: ${filePath}`);
    }
    else {
        logger_1.Logger.log(`${fileNameToCreate} file already exists. Use --force to overwrite it with the default one.`);
        logger_1.Logger.log(`Path: ${filePath}`);
    }
}
//# sourceMappingURL=helpers.js.map