"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyEslintSetting = void 0;
const settingsManager_1 = require("../common/settingsManager");
const eslint_webpack_plugin_1 = __importDefault(require("eslint-webpack-plugin"));
const applyEslintSetting = (config) => {
    if (settingsManager_1.serveSettings.eslint) {
        config.plugins.push(new eslint_webpack_plugin_1.default({
            files: './src/**/*.{ts,tsx}',
            lintDirtyModulesOnly: true,
            overrideConfig: {
                ignorePatterns: ['*.js', '*.scss.ts', '*.d.ts'],
                parserOptions: {
                    warnOnUnsupportedTypeScriptVersion: false
                }
            }
        }));
    }
};
exports.applyEslintSetting = applyEslintSetting;
//# sourceMappingURL=eslint.js.map