"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyServeSettings = applyServeSettings;
const containers_1 = require("./containers");
const eslint_1 = require("./eslint");
const fullScreenErrors_1 = require("./fullScreenErrors");
const hotRefresh_1 = require("./hotRefresh");
const loggingLevel_1 = require("./loggingLevel");
const openUrl_1 = require("./openUrl");
const reactProfiling_1 = require("./reactProfiling");
function applyServeSettings(config) {
    (0, openUrl_1.applyOpenUrlSetting)(config);
    (0, fullScreenErrors_1.applyFullScreenErrors)(config);
    (0, loggingLevel_1.applyLoggingLevel)(config);
    (0, hotRefresh_1.applyhotRefresh)(config);
    (0, eslint_1.applyEslintSetting)(config);
    (0, reactProfiling_1.applyReactProfilingSetting)(config);
    (0, containers_1.applyContainersSetting)(config);
}
//# sourceMappingURL=index.js.map